yum update issue

Issues related to applications and software problems
Post Reply
msn477
Posts: 1
Joined: 2018/05/21 23:22:59

yum update issue

Post by msn477 » 2018/05/21 23:29:14

I having problem with "yum update" in my CentOS 6.9. It gives the following errors:
Error: Package: libgdiplus0-5.6-0.xamarin.1.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libpng15.so.15(PNG15_0)(64bit)
Error: Package: mono-core-5.12.0.233-0.xamarin.3.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libc.so.6(GLIBC_2.16)(64bit)
Error: Package: libgdiplus0-5.6-0.xamarin.1.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Error: Package: mono-devel-5.12.0.233-0.xamarin.3.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Error: Package: libgdiplus0-5.6-0.xamarin.1.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libpng15.so.15()(64bit)
Error: Package: libmonosgen-2_0-1-5.12.0.233-0.xamarin.3.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Error: Package: libgdiplus0-5.6-0.xamarin.1.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libtiff.so.5()(64bit)
Error: Package: libgdiplus0-5.6-0.xamarin.1.epel7.x86_64 (download.mono-project.com_repo_centos_)
Requires: libtiff.so.5(LIBTIFF_4.0)(64bit)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
How can I fix that?

How can I update to CentOS 7?

Thanks.

User avatar
avij
Forum Moderator
Posts: 2648
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: yum update issue

Post by avij » 2018/05/22 00:01:52

You should not use "epel7" packages on CentOS 6. Remove/disable that download.mono-project.com_repo_centos repository and find one that has "6" in its name.

And the other question, sorry, there is no upgrade path from CentOS 6 to CentOS 7. You need to install CentOS 7 from scratch.

Post Reply